/*
 (C) Tomonori Izumi <izumi@ieee.org>, Nov. 2017. All rigts reserved.
 for xc7z010clg484-1 on Digilent ZYBO
 					Ver.2017.11.18a
*/

//`timescale 1ns / 1ps
`default_nettype none

module ZYBO_top
  (CLK125M,btn,sw,led,
   vga_r, vga_g, vga_b, vga_hs, vga_vs);
   input  wire        CLK125M;
   input  wire [3:0]  btn;
   input  wire [3:0]  sw;
   output wire [3:0]  led;
   output wire [4:0]  vga_r;
   output wire [5:0]  vga_g;
   output wire [4:0]  vga_b;
   output wire        vga_hs,vga_vs;

   wire   CLK125M_ibuf,clk;
   IBUFG ibuf_clk(.I(CLK125M), .O(CLK125M_ibuf));
   BUFG  buf_clk(.I(CLK125M_ibuf),.O(clk));

   //----------------------------------------------------------------
   // setup : ėpJE^Ɠ̓`^O΍Ao
   reg [31:0] 	counter=0;
   always @(posedge clk) counter<=counter+1;
   reg [3:0] 	led_r;
   reg [3:0] 	sw_r,btn_r;
   always @(posedge clk)
     if (counter[15:0]==0) begin
	sw_r  <=sw;
	btn_r<=btn;
     end
   assign led=led_r;

   //----------------------------------------------------------------
   // hello_vga

   wire   vga_p;
   
   hello_vga hello_vga_0(vga_p,vga_hs,vga_vs,clk);

   assign vga_r=(vga_p==0)?0:(btn_r[0]==0)?5'h1f:5'h0f;
   assign vga_g=(vga_p==0)?0:(btn_r[1]==0)?6'h3f:6'h1f;
   assign vga_b=(vga_p==0)?0:(btn_r[2]==0)?5'h1f:5'h0f;
   
   //----------------------------------------------------------------
   // setup : DEBUGp LED \ݒ

   always @(posedge clk)
     case (sw_r[3:0])
       1: led_r<=btn_r;
       4: led_r<={vga_vs,vga_hs,vga_g[5:4]};
       5: led_r<={vga_vs,vga_g[5],vga_r[4],vga_b[4]};
       default: led_r<=counter[27:24];
     endcase

endmodule

`default_nettype wire
