# for ZYBO Z7 020 with PmodVGA on JD&JE

# parts XC7Z020-1CLG400C

#Clock signal
set_property -dict {PACKAGE_PIN K17 IOSTANDARD LVCMOS33} [get_ports {CLK125M}]; #IO_L12P_T1_MRCC_35
create_clock -add -name sys_clk_pin -period 8.00 -waveform {0 4} [get_ports {CLK125M}];

#Switches
set_property PACKAGE_PIN G15 [get_ports {sw[0]}]; #IO_L19N_T3_VREF_35
set_property PACKAGE_PIN P15 [get_ports {sw[1]}]; #IO_L24P_T3_34
set_property PACKAGE_PIN W13 [get_ports {sw[2]}]; #IO_L4N_T0_34
set_property PACKAGE_PIN T16 [get_ports {sw[3]}]; #IO_L9P_T1_DQS_34
set_property IOSTANDARD LVCMOS33 [get_ports {sw[*]}]
set_false_path -from [get_ports {sw[*]}]

#Buttons
set_property PACKAGE_PIN K18 [get_ports {btn[0]}]; #IO_L12N_T1_MRCC_35
set_property PACKAGE_PIN P16 [get_ports {btn[1]}]; #IO_L24N_T3_34
set_property PACKAGE_PIN K19 [get_ports {btn[2]}]; #IO_L10P_T1_AD11P_35
set_property PACKAGE_PIN Y16 [get_ports {btn[3]}]; #IO_L7P_T1_34
set_property IOSTANDARD LVCMOS33 [get_ports {btn[*]}]
set_false_path -from [get_ports {btn[*]}]

#LEDs
set_property PACKAGE_PIN M14 [get_ports {led[0]}]; #IO_L23P_T3_35
set_property PACKAGE_PIN M15 [get_ports {led[1]}]; #IO_L23N_T3_35
set_property PACKAGE_PIN G14 [get_ports {led[2]}]; #IO_0_35
set_property PACKAGE_PIN D18 [get_ports {led[3]}]; #IO_L3N_T0_DQS_AD1N_35
set_property IOSTANDARD LVCMOS33 [get_ports {led[*]}]
set_false_path -to [get_ports {led[*]}]

#RGB LEDs
#set_property PACKAGE_PIN Y12 [get_ports {led5_b}]; #IO_L20P_T3_13
#set_property PACKAGE_PIN T5  [get_ports {led5_g}]; #IO_L19P_T3_13
#set_property PACKAGE_PIN Y11 [get_ports {led5_r}]; #IO_L18N_T2_13
#set_property PACKAGE_PIN M17 [get_ports {led6_b}]; #IO_L8P_T1_AD10P_35
#set_property PACKAGE_PIN F17 [get_ports {led6_g}]; #IO_L6N_T0_VREF_35
#set_property PACKAGE_PIN V16 [get_ports {led6_r}]; #IO_L18P_T2_34
#set_property IOSTANDARD LVCMOS33 [get_ports {led*_*}]
#set_false_path -to [get_ports {led*_*}]

#Audio Codec
#set_property -dict {PACKAGE_PIN R19 IOSTANDARD LVCMOS33} [get_ports {ac_bclk}]; #IO_0_34
#set_property -dict {PACKAGE_PIN R17 IOSTANDARD LVCMOS33} [get_ports {ac_mclk}]; #IO_L19N_T3_VREF_34
#set_property -dict {PACKAGE_PIN P18 IOSTANDARD LVCMOS33} [get_ports {ac_muten}]; #IO_L23N_T3_34
#set_property -dict {PACKAGE_PIN R18 IOSTANDARD LVCMOS33} [get_ports {ac_pbdat}]; #IO_L20N_T3_34
#set_property -dict {PACKAGE_PIN T19 IOSTANDARD LVCMOS33} [get_ports {ac_pblrc}]; #IO_25_34
#set_property -dict {PACKAGE_PIN R16 IOSTANDARD LVCMOS33} [get_ports {ac_recdat}]; #IO_L19P_T3_34
#set_property -dict {PACKAGE_PIN Y18 IOSTANDARD LVCMOS33} [get_ports {ac_reclrc}]; #IO_L17P_T2_34

#Audio Codec/external EEPROM IIC bus
#set_property -dict {PACKAGE_PIN N18 IOSTANDARD LVCMOS33} [get_ports {ac_scl}]; #IO_L13P_T2_MRCC_34
#set_property -dict {PACKAGE_PIN N17 IOSTANDARD LVCMOS33} [get_ports {ac_sda}]; #IO_L23P_T3_34

#Additional Ethernet signals
#set_property -dict {PACKAGE_PIN F16 IOSTANDARD LVCMOS33 PULLUP true} [get_ports {eth_int_pu_b}]; #IO_L6P_T0_35
#set_property -dict {PACKAGE_PIN E17 IOSTANDARD LVCMOS33} [get_ports {eth_rst_b}]; #IO_L3P_T0_DQS_AD1P_35

#Fan
#set_property -dict {PACKAGE_PIN Y13 IOSTANDARD LVCMOS33 PULLUP true} [get_ports {fan_fb_pu}]; #IO_L20N_T3_13
#HDMI RX
#set_property -dict {PACKAGE_PIN Y8  IOSTANDARD LVCMOS33} [get_ports {hdmi_rx_cec}]; #IO_L14N_T2_SRCC_13
#set_property -dict {PACKAGE_PIN U19 IOSTANDARD TMDS_33 } [get_ports {hdmi_in_clk_n}]; #IO_L12N_T1_MRCC_34
#set_property -dict {PACKAGE_PIN U18 IOSTANDARD TMDS_33 } [get_ports {hdmi_in_clk_p}]; #IO_L12P_T1_MRCC_34
#set_property -dict {PACKAGE_PIN W19 IOSTANDARD LVCMOS33} [get_ports {hdmi_rx_hpd}]; #IO_L22N_T3_34
#set_property -dict {PACKAGE_PIN W18 IOSTANDARD LVCMOS33} [get_ports {hdmi_in_ddc_scl_io}]; #IO_L22P_T3_34
#set_property -dict {PACKAGE_PIN Y19 IOSTANDARD LVCMOS33} [get_ports {hdmi_in_ddc_sda_io}]; #IO_L17N_T2_34
#set_property -dict {PACKAGE_PIN W20 IOSTANDARD TMDS_33 } [get_ports {hdmi_in_data_n[0]}]; #IO_L16N_T2_34
#set_property -dict {PACKAGE_PIN V20 IOSTANDARD TMDS_33 } [get_ports {hdmi_in_data_p[0]}]; #IO_L16P_T2_34
#set_property -dict {PACKAGE_PIN U20 IOSTANDARD TMDS_33 } [get_ports {hdmi_in_data_n[1]}]; #IO_L15N_T2_DQS_34
#set_property -dict {PACKAGE_PIN T20 IOSTANDARD TMDS_33 } [get_ports {hdmi_in_data_p[1]}]; #IO_L15P_T2_DQS_34
#set_property -dict {PACKAGE_PIN P20 IOSTANDARD TMDS_33 } [get_ports {hdmi_in_data_n[2]}]; #IO_L14N_T2_SRCC_34
#set_property -dict {PACKAGE_PIN N20 IOSTANDARD TMDS_33 } [get_ports {hdmi_in_data_p[2]}]; #IO_L14P_T2_SRCC_34
#create_clock -period 13.5 -name hdmi_in_clk_p -waveform {0.000 6.75} [get_ports hdmi_in_clk_p]

#HDMI TX
#set_property -dict {PACKAGE_PIN E19 IOSTANDARD LVCMOS33} [get_ports {hdmi_tx_cec}]; #IO_L5N_T0_AD9N_35
#set_property -dict {PACKAGE_PIN H17 IOSTANDARD TMDS_33 } [get_ports {hdmi_out_clk_n}]; #IO_L13N_T2_MRCC_35
#set_property -dict {PACKAGE_PIN H16 IOSTANDARD TMDS_33 } [get_ports {hdmi_out_clk_p}]; #IO_L13P_T2_MRCC_35
#set_property -dict {PACKAGE_PIN E18 IOSTANDARD LVCMOS33} [get_ports {hdmi_tx_hpd}]; #IO_L5P_T0_AD9P_35
#set_property -dict {PACKAGE_PIN G17 IOSTANDARD LVCMOS33} [get_ports {hdmi_tx_scl}]; #IO_L16P_T2_35
#set_property -dict {PACKAGE_PIN G18 IOSTANDARD LVCMOS33} [get_ports {hdmi_tx_sda}]; #IO_L16N_T2_35
#set_property -dict {PACKAGE_PIN D20 IOSTANDARD TMDS_33 } [get_ports {hdmi_out_data_n[0]}]; #IO_L4N_T0_35
#set_property -dict {PACKAGE_PIN D19 IOSTANDARD TMDS_33 } [get_ports {hdmi_out_data_p[0]}]; #IO_L4P_T0_35
#set_property -dict {PACKAGE_PIN B20 IOSTANDARD TMDS_33 } [get_ports {hdmi_out_data_n[1]}]; #IO_L1N_T0_AD0N_35
#set_property -dict {PACKAGE_PIN C20 IOSTANDARD TMDS_33 } [get_ports {hdmi_out_data_p[1]}]; #IO_L1P_T0_AD0P_35
#set_property -dict {PACKAGE_PIN A20 IOSTANDARD TMDS_33 } [get_ports {hdmi_out_data_n[2]}]; #IO_L2N_T0_AD8N_35
#set_property -dict {PACKAGE_PIN B19 IOSTANDARD TMDS_33 } [get_ports {hdmi_out_data_p[2]}]; #IO_L2P_T0_AD8P_35

##Pmod Header JA (XADC)
#set_property -dict {PACKAGE_PIN N15 IOSTANDARD LVCMOS33} [get_ports {ja_p[0]}]; #IO_L21P_T3_DQS_AD14P_35
#set_property -dict {PACKAGE_PIN L14 IOSTANDARD LVCMOS33} [get_ports {ja_p[1]}]; #IO_L22P_T3_AD7P_35
#set_property -dict {PACKAGE_PIN K16 IOSTANDARD LVCMOS33} [get_ports {ja_p[2]}]; #IO_L24P_T3_AD15P_35
#set_property -dict {PACKAGE_PIN K14 IOSTANDARD LVCMOS33} [get_ports {ja_p[3]}]; #IO_L20P_T3_AD6P_35
#set_property -dict {PACKAGE_PIN N16 IOSTANDARD LVCMOS33} [get_ports {ja_n[0]}]; #IO_L21N_T3_DQS_AD14N_35
#set_property -dict {PACKAGE_PIN L15 IOSTANDARD LVCMOS33} [get_ports {ja_n[1]}]; #IO_L22N_T3_AD7N_35
#set_property -dict {PACKAGE_PIN J16 IOSTANDARD LVCMOS33} [get_ports {ja_n[2]}]; #IO_L24N_T3_AD15N_35
#set_property -dict {PACKAGE_PIN J14 IOSTANDARD LVCMOS33} [get_ports {ja_n[3]}]; #IO_L20N_T3_AD6N_35


#Pmod Header JB
#set_property -dict {PACKAGE_PIN V8  IOSTANDARD LVCMOS33} [get_ports {jb_p[1]}]; #IO_L15P_T2_DQS_13
#set_property -dict {PACKAGE_PIN W8  IOSTANDARD LVCMOS33} [get_ports {jb_n[1]}]; #IO_L15N_T2_DQS_13
#set_property -dict {PACKAGE_PIN U7  IOSTANDARD LVCMOS33} [get_ports {jb_p[2]}]; #IO_L11P_T1_SRCC_13
#set_property -dict {PACKAGE_PIN V7  IOSTANDARD LVCMOS33} [get_ports {jb_n[2]}]; #IO_L11N_T1_SRCC_13
#set_property -dict {PACKAGE_PIN Y7  IOSTANDARD LVCMOS33} [get_ports {jb_p[3]}]; #IO_L13P_T2_MRCC_13
#set_property -dict {PACKAGE_PIN Y6  IOSTANDARD LVCMOS33} [get_ports {jb_n[3]}]; #IO_L13N_T2_MRCC_13
#set_property -dict {PACKAGE_PIN V6  IOSTANDARD LVCMOS33} [get_ports {jb_p[4]}]; #IO_L22P_T3_13
#set_property -dict {PACKAGE_PIN W6  IOSTANDARD LVCMOS33} [get_ports {jb_n[4]}]; #IO_L22N_T3_13


#Pmod Header JC
#set_property -dict {PACKAGE_PIN V15 IOSTANDARD LVCMOS33} [get_ports {jc_p[1]}]; #IO_L10P_T1_34
#set_property -dict {PACKAGE_PIN W15 IOSTANDARD LVCMOS33} [get_ports {jc_n[1]}]; #IO_L10N_T1_34
#set_property -dict {PACKAGE_PIN T11 IOSTANDARD LVCMOS33} [get_ports {jc_p[2]}]; #IO_L1P_T0_34
#set_property -dict {PACKAGE_PIN T10 IOSTANDARD LVCMOS33} [get_ports {jc_n[2]}]; #IO_L1N_T0_34
#set_property -dict {PACKAGE_PIN W14 IOSTANDARD LVCMOS33} [get_ports {jc_p[3]}]; #IO_L8P_T1_34
#set_property -dict {PACKAGE_PIN Y14 IOSTANDARD LVCMOS33} [get_ports {jc_n[3]}]; #IO_L8N_T1_34
#set_property -dict {PACKAGE_PIN T12 IOSTANDARD LVCMOS33} [get_ports {jc_p[4]}]; #IO_L2P_T0_34
#set_property -dict {PACKAGE_PIN U12 IOSTANDARD LVCMOS33} [get_ports {jc_n[4]}]; #IO_L2N_T0_34


#Pmod Header JD
#set_property PACKAGE_PIN T14 [get_ports {jd1}]; #IO_L5P_T0_34
#set_property PACKAGE_PIN T15 [get_ports {jd2}]; #IO_L5N_T0_34
#set_property PACKAGE_PIN P14 [get_ports {jd3}]; #IO_L6P_T0_34
#set_property PACKAGE_PIN R14 [get_ports {jd4}]; #IO_L6N_T0_VREF_34
#set_property PACKAGE_PIN U14 [get_ports {jd7}]; #IO_L11P_T1_SRCC_34
#set_property PACKAGE_PIN U15 [get_ports {jd8}]; #IO_L11N_T1_SRCC_34
#set_property PACKAGE_PIN V17 [get_ports {jd9}]; #IO_L21P_T3_DQS_34
#set_property PACKAGE_PIN V18 [get_ports {jd10}]; #IO_L21N_T3_DQS_34

#Pmod Header JE
#set_property PACKAGE_PIN V12 [get_ports {je1}]; #IO_L4P_T0_34
#set_property PACKAGE_PIN W16 [get_ports {je2}]; #IO_L18N_T2_34
#set_property PACKAGE_PIN J15 [get_ports {je3}]; #IO_25_35
#set_property PACKAGE_PIN H15 [get_ports {je4}]; #IO_L19P_T3_35
#set_property PACKAGE_PIN V13 [get_ports {je7}]; #IO_L3N_T0_DQS_34
#set_property PACKAGE_PIN U17 [get_ports {je8}]; #IO_L9N_T1_DQS_34
#set_property PACKAGE_PIN T17 [get_ports {je9}]; #IO_L20P_T3_34
#set_property PACKAGE_PIN Y17 [get_ports {je10}]; #IO_L7N_T1_34

#Pmod VGA on Pmod JD and JE
set_property PACKAGE_PIN T14 [get_ports {vga_r[0]}]; #JD1
set_property PACKAGE_PIN T15 [get_ports {vga_r[1]}]; #JD2
set_property PACKAGE_PIN P14 [get_ports {vga_r[2]}]; #JD3
set_property PACKAGE_PIN R14 [get_ports {vga_r[3]}]; #JD4
set_property PACKAGE_PIN V12 [get_ports {vga_g[0]}]; #JE1
set_property PACKAGE_PIN W16 [get_ports {vga_g[1]}]; #JE2
set_property PACKAGE_PIN J15 [get_ports {vga_g[2]}]; #JE3
set_property PACKAGE_PIN H15 [get_ports {vga_g[3]}]; #JE4
set_property PACKAGE_PIN U14 [get_ports {vga_b[0]}]; #JD7
set_property PACKAGE_PIN U15 [get_ports {vga_b[1]}]; #JD8
set_property PACKAGE_PIN V17 [get_ports {vga_b[2]}]; #JD9
set_property PACKAGE_PIN V18 [get_ports {vga_b[3]}]; #JD10
set_property PACKAGE_PIN V13 [get_ports vga_hs];     #JE7
set_property PACKAGE_PIN U17 [get_ports vga_vs];     #JE8
set_property IOSTANDARD LVCMOS33 [get_ports {vga_*[*]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vga_*}]
set_false_path -to [get_ports {vga_*[*]}]
set_false_path -to [get_ports {vga_*}]

#USB-OTG overcurrent detect pin
#set_property -dict {PACKAGE_PIN U13 IOSTANDARD LVCMOS33} [get_ports {otg_oc}]; #IO_L3P_T0_DQS_PUDC_B_34

#Crypto Chip SWI
#set_property -dict {PACKAGE_PIN P19 IOSTANDARD LVCMOS33} [get_ports {crypto_sda}]; #IO_L13N_T2_MRCC_34

#MIPI
#set_property -dict {PACKAGE_PIN G19 IOSTANDARD LVCMOS33} [get_ports {cam_clk}]; #IO_L18P_T2_AD13P_35
#set_property -dict {PACKAGE_PIN G20 IOSTANDARD LVCMOS33} [get_ports {cam_gpio}]; #IO_L18N_T2_AD13N_35
#set_property -dict {PACKAGE_PIN F20 IOSTANDARD LVCMOS33} [get_ports {cam_scl}]; #IO_L15N_T2_DQS_AD12N_35
#set_property -dict {PACKAGE_PIN F19 IOSTANDARD LVCMOS33} [get_ports {cam_sda}]; #IO_L15P_T2_DQS_AD12P_35
#set_property -dict {PACKAGE_PIN J19 IOSTANDARD LVDS    } [get_ports {lp_clk_n}]; #IO_L10N_T1_AD11N_35
#set_property -dict {PACKAGE_PIN H20 IOSTANDARD LVDS    } [get_ports {lp_clk_p}]; #IO_L17N_T2_AD5N_35
#set_property -dict {PACKAGE_PIN M18 IOSTANDARD LVDS    } [get_ports {lp_lane_n[0]}]; #IO_L8N_T1_AD10N_35
#set_property -dict {PACKAGE_PIN L19 IOSTANDARD LVDS    } [get_ports {lp_lane_p[0]}]; #IO_L9P_T1_DQS_AD3P_35
#set_property -dict {PACKAGE_PIN L20 IOSTANDARD LVDS    } [get_ports {lp_lane_n[1]}]; #IO_L9N_T1_DQS_AD3N_35
#set_property -dict {PACKAGE_PIN J20 IOSTANDARD LVDS    } [get_ports {lp_lane_p[1]}]; #IO_L17P_T2_AD5P_35
#set_property -dict {PACKAGE_PIN H18 IOSTANDARD LVDS    } [get_ports {mipi_clk_n}]; #IO_L14N_T2_AD4N_SRCC_35
#set_property -dict {PACKAGE_PIN J18 IOSTANDARD LVDS    } [get_ports {mipi_clk_p}]; #IO_L14P_T2_AD4P_SRCC_35
#set_property -dict {PACKAGE_PIN M20 IOSTANDARD LVDS    } [get_ports {mipi_lane_n[0]}]; #IO_L7N_T1_AD2N_35
#set_property -dict {PACKAGE_PIN M19 IOSTANDARD LVDS    } [get_ports {mipi_lane_p[0]}]; #IO_L7P_T1_AD2P_35
#set_property -dict {PACKAGE_PIN L17 IOSTANDARD LVDS    } [get_ports {mipi_lane_n[1]}]; #IO_L11N_T1_SRCC_35
#set_property -dict {PACKAGE_PIN L16 IOSTANDARD LVDS    } [get_ports {mipi_lane_p[1]}]; #IO_L11P_T1_SRCC_35

#DUNNO
#set_property PACKAGE_PIN T9  [get_ports {netic19_t9 }]; #IO_L12P_T1_MRCC_13
#set_property PACKAGE_PIN U10 [get_ports {netic19_u10}]; #IO_L12N_T1_MRCC_13
#set_property PACKAGE_PIN U5  [get_ports {netic19_u5 }]; #IO_L19N_T3_VREF_13
#set_property PACKAGE_PIN U8  [get_ports {netic19_u8 }]; #IO_L17N_T2_13
#set_property PACKAGE_PIN U9  [get_ports {netic19_u9 }]; #IO_L17P_T2_13
#set_property PACKAGE_PIN V10 [get_ports {netic19_v10}]; #IO_L21N_T3_DQS_13
#set_property PACKAGE_PIN V11 [get_ports {netic19_v11}]; #IO_L21P_T3_DQS_13
#set_property PACKAGE_PIN V5  [get_ports {netic19_v5 }]; #IO_L6N_T0_VREF_13
#set_property PACKAGE_PIN W10 [get_ports {netic19_w10}]; #IO_L16P_T2_13
#set_property PACKAGE_PIN W11 [get_ports {netic19_w11}]; #IO_L18P_T2_13
#set_property PACKAGE_PIN W9  [get_ports {netic19_w9 }]; #IO_L16N_T2_13
#set_property PACKAGE_PIN Y9  [get_ports {netic19_y9 }]; #IO_L14P_T2_SRCC_13

set_false_path -to   [get_cells led_r*[*]]
set_false_path -from [get_cells btn_r*[*]]
set_false_path -from [get_cells sw_r*[*]]
