/*
 (C) Tomonori Izumi <izumi@ieee.org>, 2017,2018. All rigts reserved.
 for xc7z020clg484-1 on Digilent ZYBO Z7 020
 with Pmod VGA on Pmod JD and JE

 					Ver.2018.8.17a
*/

//`timescale 1ns / 1ps
`default_nettype none

module ZYBO_top
  (CLK125M,btn,sw,led,
   vga_r, vga_g, vga_b, vga_hs, vga_vs);
   input  wire        CLK125M;
   input  wire [3:0]  btn;
   input  wire [3:0]  sw;
   output wire [3:0]  led;
   output wire [3:0]  vga_r,vga_g,vga_b;
   output wire        vga_hs,vga_vs;

   wire   CLK125M_ibuf,clk;
   IBUFG ibuf_clk(.I(CLK125M), .O(CLK125M_ibuf));
   BUFG  buf_clk(.I(CLK125M_ibuf),.O(clk));

   //----------------------------------------------------------------
   // setup : ėpJE^Ɠ̓`^O΍Ao
   reg [31:0] 	counter=0;
   always @(posedge clk) counter<=counter+1;
   reg [3:0] 	led_r;
   reg [3:0] 	sw_r,btn_r;
   always @(posedge clk)
     if (counter[15:0]==0) begin
	sw_r  <=sw;
	btn_r<=btn;
     end
   assign led=led_r;

   //----------------------------------------------------------------
   // hello_vga

   wire   vga_p;
   
   hello_vga hello_vga_0(vga_p,vga_hs,vga_vs,clk);

   assign vga_r=(vga_p==0)?0:(btn_r[0]==0)?4'hf:counter[27:24];
   assign vga_g=(vga_p==0)?0:(btn_r[1]==0)?4'hf:counter[27:24];
   assign vga_b=(vga_p==0)?0:(btn_r[2]==0)?4'hf:counter[27:24];
   
   //----------------------------------------------------------------
   // setup : DEBUGp LED \ݒ

   always @(posedge clk)
     case (sw_r[3:0])
       1: led_r<=btn_r;
       4: led_r<={vga_vs,vga_hs,vga_g[3:2]};
       5: led_r<={vga_vs,vga_g[3],vga_r[3],vga_b[3]};
       default: led_r<=counter[27:24];
     endcase

endmodule

`default_nettype wire
